| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
PreStack::EventSet Class Reference
PreStackProcessing

A EventSet is a set of Events on a single PreStack gather. More...

`#include <prestackevents.h>`

Inheritance diagram for PreStack::EventSet:
[legend]

## Public Member Functions
| EventSet ()
| EventSet (const EventSet &)
int | indexOf (int horid) const
EventSet & | operator= (const EventSet &)
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Public Attributes
ObjectSet< Event > | events_
bool | ischanged_ = false

## Protected Member Functions
virtual | ~EventSet ()
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

A EventSet is a set of Events on a single PreStack gather.

<>

## Constructor & Destructor Documentation

## ◆ EventSet() [1/2]

PreStack::EventSet::EventSet | ( |  | ) |

## ◆ EventSet() [2/2]

PreStack::EventSet::EventSet | ( | const EventSet & |  | ) |

## ◆ ~EventSet()

virtual PreStack::EventSet::~EventSet | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ indexOf()

int PreStack::EventSet::indexOf | ( | int | horid | ) | const

## ◆ operator=()

EventSet & PreStack::EventSet::operator= | ( | const EventSet & |  | ) |

## Member Data Documentation

## ◆ events_

ObjectSet<Event> PreStack::EventSet::events_

## ◆ ischanged_

bool PreStack::EventSet::ischanged_ = false

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025